Package io.strimzi.systemtest.logs

## Class TestExecutionWatcher

- java.lang.Object
- - io.strimzi.systemtest.logs.TestExecutionWatcher

- All Implemented Interfaces:
    `org.junit.jupiter.api.extension.Extension`, `org.junit.jupiter.api.extension.LifecycleMethodExecutionExceptionHandler`, `org.junit.jupiter.api.extension.TestExecutionExceptionHandler`

      public class TestExecutionWatcher
      extends Object
      implements org.junit.jupiter.api.extension.TestExecutionExceptionHandler, org.junit.jupiter.api.extension.LifecycleMethodExecutionExceptionHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestExecutionWatcher()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `collectLogs​(String testClass, String testMethod)` |
    `void` | `handleAfterAllMethodExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext, Throwable throwable)` |
    `void` | `handleAfterEachMethodExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext, Throwable throwable)` |
    `void` | `handleBeforeAllMethodExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext, Throwable throwable)` |
    `void` | `handleBeforeEachMethodExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext, Throwable throwable)` |
    `void` | `handleTestExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext, Throwable throwable)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestExecutionWatcher

          public TestExecutionWatcher()

  - ### Method Detail

    - #### handleTestExecutionException

          public void handleTestExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext,
                                                   Throwable throwable)
                                            throws Throwable

      Specified by:
        `handleTestExecutionException` in interface `org.junit.jupiter.api.extension.TestExecutionExceptionHandler`
      Throws:
        `Throwable`

    - #### handleBeforeAllMethodExecutionException

          public void handleBeforeAllMethodExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext,
                                                              Throwable throwable)
                                                       throws Throwable

      Specified by:
        `handleBeforeAllMethodExecutionException` in interface `org.junit.jupiter.api.extension.LifecycleMethodExecutionExceptionHandler`
      Throws:
        `Throwable`

    - #### handleBeforeEachMethodExecutionException

          public void handleBeforeEachMethodExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext,
                                                               Throwable throwable)
                                                        throws Throwable

      Specified by:
        `handleBeforeEachMethodExecutionException` in interface `org.junit.jupiter.api.extension.LifecycleMethodExecutionExceptionHandler`
      Throws:
        `Throwable`

    - #### handleAfterEachMethodExecutionException

          public void handleAfterEachMethodExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext,
                                                              Throwable throwable)
                                                       throws Throwable

      Specified by:
        `handleAfterEachMethodExecutionException` in interface `org.junit.jupiter.api.extension.LifecycleMethodExecutionExceptionHandler`
      Throws:
        `Throwable`

    - #### handleAfterAllMethodExecutionException

          public void handleAfterAllMethodExecutionException​(org.junit.jupiter.api.extension.ExtensionContext extensionContext,
                                                             Throwable throwable)
                                                      throws Throwable

      Specified by:
        `handleAfterAllMethodExecutionException` in interface `org.junit.jupiter.api.extension.LifecycleMethodExecutionExceptionHandler`
      Throws:
        `Throwable`

    - #### collectLogs

          public static void collectLogs​(String testClass,
                                         String testMethod)